summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Ammerlaan <andrewammerlaan@riseup.net>2020-01-05 11:06:13 +0100
committerJoonas Niilola <juippis@gentoo.org>2020-01-07 05:50:07 +0200
commit0f00cfe81dc6ef111ba32f511766eda22ddce924 (patch)
tree8aeedb6a38d1eaa92b162f48992e04564b5cfa6b /dev-libs/libsass
parentnet-misc/cfengine: string parsing fix for infra (diff)
downloadgentoo-0f00cfe81dc6ef111ba32f511766eda22ddce924.tar.gz
gentoo-0f00cfe81dc6ef111ba32f511766eda22ddce924.tar.bz2
gentoo-0f00cfe81dc6ef111ba32f511766eda22ddce924.zip
dev-libs/libsass: Version bump 3.6.3
Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Andrew Ammerlaan <andrewammerlaan@riseup.net> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Diffstat (limited to 'dev-libs/libsass')
-rw-r--r--dev-libs/libsass/Manifest1
-rw-r--r--dev-libs/libsass/libsass-3.6.3.ebuild54
-rw-r--r--dev-libs/libsass/libsass-9999.ebuild12
-rw-r--r--dev-libs/libsass/metadata.xml9
4 files changed, 69 insertions, 7 deletions
diff --git a/dev-libs/libsass/Manifest b/dev-libs/libsass/Manifest
index cda64fcfbb7..3303bed9cee 100644
--- a/dev-libs/libsass/Manifest
+++ b/dev-libs/libsass/Manifest
@@ -1,2 +1,3 @@
DIST libsass-3.5.5.tar.gz 327298 BLAKE2B 4127722343394bca4ed054987eed6113788e10dc4d03a869778c10b56135406c1fcd72dc101bfe405c96267b628735e8ee74d3812ab392f097dc941b78bef882 SHA512 dcb73a5080c00023b60a19ea037ba5af481253a7b47492bd7114bf45ab78ed931c7b207fa8f12ed200a39760553d72ae92dbe4eb80b826b59a6201fb34008fe5
DIST libsass-3.6.1.tar.gz 333609 BLAKE2B ea6cb0285a6d741614bb900ff0f3b74660c74ec9ed071abf2d980bfe3f55b02fa2873d3860e5b767ca82b5f202f3d2aef28b73357bf8d2b3117c925b4dc78791 SHA512 e9a3a30851e26145d049c4b20951c663a9d48c781a732acd3cc2cdb30df3449e445b57211f666b58afa137431fbdb149add48ff8a0dec92bd8abb514c90adebb
+DIST libsass-3.6.3.tar.gz 331301 BLAKE2B 9e25994d19bd93fb53be32f69cafa40204d5892bd676fd7e9a3fcfe4cb6e84d21e9c53043b4766b602f811617f4eeb8bc5719dd7977657ccefff088d418c4e5c SHA512 e290f2045784ba1cf84e87e5bd33129b5452fec1d25da657b084b3561ec76df195a75595248a493dbd85c6a1215ed600332477945922309c021d9e416ebb29ee
diff --git a/dev-libs/libsass/libsass-3.6.3.ebuild b/dev-libs/libsass/libsass-3.6.3.ebuild
new file mode 100644
index 00000000000..206e7040d5f
--- /dev/null
+++ b/dev-libs/libsass/libsass-3.6.3.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools multilib-minimal
+
+if [[ ${PV} = *9999 ]]; then
+ EGIT_REPO_URI="https://github.com/sass/libsass.git"
+ inherit git-r3
+ KEYWORDS=
+else
+ SRC_URI="https://github.com/sass/libsass/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux"
+fi
+
+DESCRIPTION="A C/C++ implementation of a Sass CSS compiler"
+HOMEPAGE="https://github.com/sass/libsass"
+LICENSE="MIT"
+SLOT="0/1" # libsass soname
+IUSE="static-libs"
+
+DOCS=( Readme.md SECURITY.md )
+
+src_prepare() {
+ default
+
+ if [[ ${PV} != *9999 ]]; then
+ [[ -f VERSION ]] || echo "${PV}" > VERSION
+ fi
+ eautoreconf
+
+ # only sane way to deal with various version-related scripts, env variables etc.
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ $(use_enable static-libs static)
+ --enable-shared
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" install
+ find "${D}" -name '*.la' -delete || die
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ dodoc -r "${S}/docs"
+}
diff --git a/dev-libs/libsass/libsass-9999.ebuild b/dev-libs/libsass/libsass-9999.ebuild
index 7bb47a91093..206e7040d5f 100644
--- a/dev-libs/libsass/libsass-9999.ebuild
+++ b/dev-libs/libsass/libsass-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -20,9 +20,6 @@ LICENSE="MIT"
SLOT="0/1" # libsass soname
IUSE="static-libs"
-RDEPEND=""
-DEPEND="${RDEPEND}"
-
DOCS=( Readme.md SECURITY.md )
src_prepare() {
@@ -38,9 +35,12 @@ src_prepare() {
}
multilib_src_configure() {
- econf \
- $(use_enable static-libs static) \
+ local myeconfargs=(
+ $(use_enable static-libs static)
--enable-shared
+ )
+
+ econf "${myeconfargs[@]}"
}
multilib_src_install() {
diff --git a/dev-libs/libsass/metadata.xml b/dev-libs/libsass/metadata.xml
index 191514e5850..47eda06e2ce 100644
--- a/dev-libs/libsass/metadata.xml
+++ b/dev-libs/libsass/metadata.xml
@@ -1,7 +1,14 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <!-- maintainer-needed -->
+ <maintainer type="person">
+ <email>andrewammerlaan@riseup.net</email>
+ <name>Andrew Ammerlaan</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
<longdescription lang="en">
LibSass is a C++ port of the original Ruby Sass CSS compiler with a C
API. It is coded with portability and efficiency in mind. You can